WeeChat DevCenter

Python 3 by default

As scheduled in the , since July 1st 2019, the "python" plugin is now compiled with Python 3 by default.

The changes:

  • If Python 3 is found, the "python" plugin is compiled with Python 3.
  • If Python 3 is not found, the "python" plugin is not built at all (even if Python 2 is installed).

The CMake option "ENABLE_PYTHON3" has been renamed to "ENABLE_PYTHON2" (configure option "--enable-python2"). If this option is enabled, the "python" plugin is built with Python 2 (if found), with a fallback on Python 3.

The development packages for Debian and Ubuntu are now compiled with Python 3 (it should be available soon for Raspbian). The future stable versions (≥ 2.6) will be compiled with Python 3 as well.